<?php 

add_action( 'bizberg_before_homepage_blog', 'fashion_freak_homepage_featured_posts' );
function fashion_freak_homepage_featured_posts(){ 

	$pages = json_decode( bizberg_get_theme_mod( 'fashion_freak_featured_posts_pages' ), true );

	if( !empty( $pages ) ){ ?>

		<section class="post-main featured-posts">

			<div class="container">

				<div class="post-main-inner">

					<div class="row">

						<?php 
						foreach ( $pages as $key => $value ) {

							$page_id = $value['page_id'];

							if( !empty( $page_id ) ){ 

								$image_id = get_post_thumbnail_id( $page_id ); ?>
						 	
								<div class="col-md-4 col-sm-6">

									<a class="post-main-item" href="<?php echo esc_url( get_permalink( $page_id ) ); ?>">

										<div 
										class="post-main-item-image <?php echo ( empty( $image_id ) ? 'no_image' : '' ); ?>" 
										style="background-image:url( <?php echo esc_url( get_the_post_thumbnail_url( $page_id, 'medium_large' ) ); ?> )">
										</div>
										<div class="post-main-content">
											<h4>
												<?php echo esc_html( get_the_title( $page_id ) ); ?>
											</h4>
										</div>
										
									</a>

								</div>

								<?php 
							}

						} ?>						

					</div>

				</div>

			</div>

		</section>
		
		<?php

	}

}